RSS 2.0 Feed:
Dawgclan Network RSS feed
VLC ActiveX/Mozilla plugin version: not installed

This should be replaced by the VLC applet.

Known Compatible browsers: Microsoft Internet Explorer & Firefox/Mozilla
Note: This embedded media player is based off VLC. Required Version: 0.9.6+
* If you can not see the above player or it is not functioning properly download VLC from and then check the options to install ActiveX/Mozilla plugins.
* For linux/unix users check your packages/ports tree for Mozilla VLC plugin and also read the VLC user-guide page for instructions.

Get VLC media player